Bug 220493 - [exp-run] with security.bsd.stack_guard_page=16
Summary: [exp-run] with security.bsd.stack_guard_page=16
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on: 220618
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 18:39 UTC by Ed Maste
Modified: 2019-09-05 14:59 UTC (History)
2 users (show)

See Also:


Attachments
set stack guard to 16 pages by default (587 bytes, patch)
2017-07-05 18:39 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2017-07-05 18:39:13 UTC
security.bsd.stack_guard_page defaults to 1 as of r320317, and is now an integer value (# of pages) rather than a boolean. I would like to see what the fallout is with the attached patch, defaulting to a 16-page (64k) guard.

I understand that this has limited runtime coverage, although there should be some reasonable amount from a combination of ports that bootstrap some component and ports that execute a test suite. (In the exp-run we can execute the test suites for those ports that have them?)
Comment 1 Ed Maste freebsd_committer 2017-07-05 18:39:43 UTC
Created attachment 184087 [details]
set stack guard to 16 pages by default
Comment 2 Antoine Brodin freebsd_committer 2017-07-05 19:41:36 UTC
A note before doing the exp-run:  running regression tests during an exp-run is not supported (yet).
Comment 3 Ed Maste freebsd_committer 2017-07-05 19:55:49 UTC
> running regression tests during an exp-run is not supported (yet).

Ok. I think it is still worth testing for build fallout.
Comment 4 Antoine Brodin freebsd_committer 2017-07-06 05:52:38 UTC
This breaks at least lang/ruby23 which will prevent testing more than 2000 ports:

http://package18.nyi.freebsd.org/data/headi386-default-PR220493/2017-07-05_22h20m40s/logs/errors/ruby-2.3.4_1,1.log
Comment 5 Antoine Brodin freebsd_committer 2017-07-06 09:51:39 UTC
Also the server doing the exp-run is much less responsive than usual... sometimes control+c takes a few minutes to complete...
Comment 6 Antoine Brodin freebsd_committer 2017-07-06 12:11:57 UTC
(In reply to Antoine Brodin from comment #5)
This may be because of a few processes:

  PID USERNAME    THR PRI NICE   SIZE    RES STATE   C   TIME    WCPU COMMAND
69675 root          1  20    0  8804K  6340K CPU9    9 801:37 100.00% miniruby
28649 root          3  20    0   110M 13316K CPU17  17 598:20 100.00% beam.smp
65139 root          3  20    0 36536K 29160K CPU4    4 536:29 100.00% beam.smp
70050 root          3  20    0 60420K 51448K CPU2    2 446:32 100.00% beam.smp
38596 root          3  20    0 61624K 51876K CPU30  30 379:15 100.00% beam.smp
Comment 7 Antoine Brodin freebsd_committer 2017-07-07 16:50:50 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386-default-PR220493&build=2017-07-05_22h20m40s

New failures on i386:

+ {"origin"=>"archivers/snappy-java", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"audio/gervill", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/jalview", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/yaac", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arduino18", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"devel/bazel", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"devel/charva", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/flexdock", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/geoip-java", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hadoop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hadoop2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jakarta-commons-io", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jna", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"devel/statcvs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/statsvn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/dnsjava", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"emulators/virtualbox-ose-additions", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"games/jinput", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stendhal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/jogl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/lightzone", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"java/berkeley-db", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-codec", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-collections", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-lang", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-pool", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-primitives", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-oro", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-regexp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java-cup", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java-getopt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/javamail", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jcommon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jdom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jgraph", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jgrapht", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jump", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/sigar", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"lang/abcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/erlang-riak", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime15", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime16", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime17", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime18", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/jython", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/mlton", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/polyml", "phase"=>"build/runaway", "errortype"=>"termios"}
+ {"origin"=>"lang/ruby22", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/ruby23", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/ruby24", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/openemm2013", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/openemm2015", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/jakarta-commons-math", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/jakarta-commons-math3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freeguide", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/convey", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jitsi", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/openfire", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/jgroups", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/openmq", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/openmq-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/seda", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/spread-j", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/pdf-renderer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/colt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2p", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/ike", "phase"=>"stage/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"security/ipsec-tools", "phase"=>"stage/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"security/xml-security", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/javaservicewrapper", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/fop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/jing", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"textproc/trang", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"textproc/xmlenc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/apache-forrest", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"www/guacamole-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/libxul", "phase"=>"stage/runaway", "errortype"=>"clang"}
Comment 8 Antoine Brodin freebsd_committer 2017-07-08 14:56:44 UTC
FYI I had to reboot the builder after the exp-run because some processes were unkillable and using 100% cpu.
Comment 9 Antoine Brodin freebsd_committer 2017-07-08 16:53:15 UTC
(In reply to Antoine Brodin from comment #8)

Unkillable processes is a kernel bug.
Comment 10 Antoine Brodin freebsd_committer 2017-07-09 10:21:13 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64-default-PR220493&build=2017-07-07_16h59m32s

Unkillable processes on amd64:

  PID USERNAME    THR PRI NICE   SIZE    RES STATE   C   TIME    WCPU COMMAND
69986 root          1  20    0 16648K  7952K CPU26  26  40.8H 100.00% miniruby
80926 root          3  20    0   121M 18092K CPU5    5  36.9H 100.00% beam.smp
59455 root          3  20    0 46020K 32684K CPU27  27  36.0H 100.00% beam.smp
80388 root          3  20    0 71296K 55776K CPU11  11  34.6H 100.00% beam.smp
54072 root          3  20    0 74744K 56656K CPU18  18  33.8H 100.00% beam.smp
60703 root          1  20    0 22896K 12804K CPU30  30  31.4H 100.00% racketcgc
29222 root          1  20    0 23024K 12724K CPU13  13 622:12 100.00% racketcgc
34132 root          1  20    0 16784K  8072K CPU24  24 422:24 100.00% miniruby
53019 root          1  20    0 12964K  4448K CPU25  25 373:43 100.00% polyimport
82832 root          3  20    0 53668K 36116K CPU15  15 305:35 100.00% beam.smp
64688 root          1  20    0 16732K  8032K CPU31  31 254:06 100.00% miniruby
58892 root          2  20    0   787M   111M CPU28  28  23.8H  99.46% xpcshell
Comment 11 Antoine Brodin freebsd_committer 2017-07-09 10:25:10 UTC
New failures on amd64:

+ {"origin"=>"lang/erlang-riak", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime15", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime16", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime17", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/erlang-runtime18", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/polyml", "phase"=>"build/runaway", "errortype"=>"termios"}
+ {"origin"=>"lang/racket", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/racket-minimal", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"lang/ruby22", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/ruby23", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"lang/ruby24", "phase"=>"build/runaway", "errortype"=>"manpage"}
+ {"origin"=>"news/nntpcache", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"security/ike", "phase"=>"stage/runaway", "errortype"=>"runaway_process"}
+ {"origin"=>"security/racoon2", "phase"=>"stage/runaway", "errortype"=>"manpage"}
+ {"origin"=>"www/libxul", "phase"=>"stage/runaway", "errortype"=>"clang"}
Comment 12 Antoine Brodin freebsd_committer 2017-07-09 10:30:43 UTC
procstat -kka shows that the unkillable processes are in vm_* :

34132 102070 miniruby            -                   vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
53019 101683 polyimport          -                   vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
54072 100377 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 pipe_read+0x2d5 dofileread+0xba kern_readv+0x68 sys_read+0x86 amd64_syscall+0x660 Xfast_syscall+0xfb 
54072 100453 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 umtxq_sleep+0x145 do_wait+0x3b1 __umtx_op_wait_uint_private+0x53 amd64_syscall+0x660 Xfast_syscall+0xfb 
54072 100513 beam.smp            -                   vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
58892 100366 xpcshell            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
58892 101550 xpcshell            Gecko_IOThread      mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 kqueue_kevent+0x294 kern_kevent+0xb5 kern_kevent_generic+0x14a sys_kevent+0x5a amd64_syscall+0x660 Xfast_syscall+0xfb 
59455 100263 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 pipe_read+0x2d5 dofileread+0xba kern_readv+0x68 sys_read+0x86 amd64_syscall+0x660 Xfast_syscall+0xfb 
59455 100305 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 umtxq_sleep+0x145 do_wait+0x3b1 __umtx_op_wait_uint_private+0x53 amd64_syscall+0x660 Xfast_syscall+0xfb 
59455 101860 beam.smp            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
64688 101310 miniruby            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
69986 101565 miniruby            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
80388 101170 beam.smp            -                   vm_map_find+0xb3 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
80388 102303 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 pipe_read+0x2d5 dofileread+0xba kern_readv+0x68 sys_read+0x86 amd64_syscall+0x660 Xfast_syscall+0xfb 
80388 102304 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 umtxq_sleep+0x145 do_wait+0x3b1 __umtx_op_wait_uint_private+0x53 amd64_syscall+0x660 Xfast_syscall+0xfb 
80926 100297 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 pipe_read+0x2d5 dofileread+0xba kern_readv+0x68 sys_read+0x86 amd64_syscall+0x660 Xfast_syscall+0xfb 
80926 100314 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 umtxq_sleep+0x145 do_wait+0x3b1 __umtx_op_wait_uint_private+0x53 amd64_syscall+0x660 Xfast_syscall+0xfb 
80926 102057 beam.smp            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb 
82832 100296 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 pipe_read+0x2d5 dofileread+0xba kern_readv+0x68 sys_read+0x86 amd64_syscall+0x660 Xfast_syscall+0xfb 
82832 100316 beam.smp            -                   mi_switch+0xf4 sleepq_catch_signals+0x464 sleepq_wait_sig+0xf _sleep+0x248 umtxq_sleep+0x145 do_wait+0x3b1 __umtx_op_wait_uint_private+0x53 amd64_syscall+0x660 Xfast_syscall+0xfb 
82832 102195 beam.smp            -                   vm_map_findspace+0x5f vm_map_find+0xe1 vm_map_find_min+0xaa vm_mmap_object+0x387 kern_mmap+0x496 sys_mmap+0x2a amd64_syscall+0x660 Xfast_syscall+0xfb
Comment 13 commit-hook freebsd_committer 2017-07-09 15:42:01 UTC
A commit references this bug:

Author: kib
Date: Sun Jul  9 15:41:49 UTC 2017
New revision: 320843
URL: https://svnweb.freebsd.org/changeset/base/320843

Log:
  Fix loop termination in vm_map_find_min().

  Reported by:	antoine
  Tested by:	Stefan Ehmann <shoesoft@gmx.net>,
         Jan Kokemueller <jan.kokemueller@gmail.com>
  PR:	220493
  Sponsored by:	The FreeBSD Foundation
  MFC after:	3 days

Changes:
  head/sys/vm/vm_map.c
Comment 14 Antoine Brodin freebsd_committer 2017-07-10 17:06:45 UTC
Exp-run results on amd64:

http://package18.nyi.freebsd.org/build.html?mastername=headamd64-default-PR220493&build=2017-07-10_07h17m29s

New failures on amd64:

+ {"origin"=>"lang/erlang-riak", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime15", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime16", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime17", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime18", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/racket", "phase"=>"stage", "errortype"=>"manpage"}
+ {"origin"=>"lang/racket-minimal", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/ruby22", "phase"=>"build", "errortype"=>"manpage"}
Comment 15 Antoine Brodin freebsd_committer 2017-07-10 17:08:15 UTC
Exp-run results on i386:

http://package18.nyi.freebsd.org/build.html?mastername=headi386-default-PR220493&build=2017-07-09_16h51m15s

New failures on i386:

+ {"origin"=>"archivers/snappy-java", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"audio/gervill", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"biology/jalview", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"comms/yaac", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/arduino18", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"devel/bazel", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"devel/charva", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/flexdock", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/geoip-java", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hadoop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/hadoop2", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jakarta-commons-io", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/jna", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"devel/statcvs", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"devel/statsvn", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"dns/dnsjava", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/jinput", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/stendhal", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/jogl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"graphics/lightzone", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"java/berkeley-db", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/eclipse", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"java/jakarta-commons-codec", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-collections", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-lang", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-pool", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-commons-primitives", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-oro", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jakarta-regexp", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java-cup", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java-getopt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/java3d", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/javamail", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jcommon", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jdom", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jgraph", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jgrapht", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/jump", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"java/sigar", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"lang/abcl", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"lang/erlang-riak", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime15", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime16", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime17", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/erlang-runtime18", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"lang/jython", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"lang/ruby22", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"lang/x10", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/openemm2013", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"mail/openemm2015", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/jakarta-commons-math", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"math/jakarta-commons-math3", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"misc/freeguide", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/convey", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/jitsi", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net-im/openfire", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/jgroups", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/openmq", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/openmq-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/seda", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/spread-j", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/pdf-renderer", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"science/colt", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/i2p", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"security/xml-security", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"sysutils/javaservicewrapper", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/fop", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"textproc/jing", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"textproc/trang", "phase"=>"build", "errortype"=>"coredump"}
+ {"origin"=>"textproc/xmlenc", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"www/apache-forrest", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"www/guacamole-client", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"x11-toolkits/swt", "phase"=>"build", "errortype"=>"manpage"}
+ {"origin"=>"x11-toolkits/swt-devel", "phase"=>"build", "errortype"=>"manpage"}
Comment 16 Pedro F. Giffuni freebsd_committer 2017-07-19 04:21:01 UTC
(In reply to Ed Maste from comment #0)

For the record, in the recent "Rethinking the Stack Clash fix" LWN article, there are some claims that on i386 linux the stack guard may cause issues for LibreOffice.

Quoting the relevant part of the article:
"That guard region should be invisible to most programs, but it has created a surprising number of problems for some applications. A number of those issues have been worked around, but one has proved difficult to fix; unfortunately, that one is LibreOffice, which can crash on 32-bit systems when running Java components. The issue is a bit complicated but, in short, Java wants to enable code execution in memory located immediately below the stack, which runs afoul of the guard region."
Comment 17 Baptiste Daroussin freebsd_committer 2019-09-05 09:38:37 UTC
Is this PR still active? or should we close it?
Comment 18 Pedro F. Giffuni freebsd_committer 2019-09-05 14:55:14 UTC
I think it can be closed but it is not my PR.